<template lang="html">
  <div class="modal is-active">
    <div class="modal-background"></div>
    <div class="modal-content">
      <div class="box has-text-centered process-box" v-if="!isProcessed">
        <p class="subtitle">Processing Image...</p>
      </div>

      <div class="box" v-else>
        <div class="card" v-for="image in images" :key="image._id">
          <header class="card-header">
            <p class="card-header-title">{{ image.image.name }}</p>
          </header>
          <div class="card-image">
            <figure class="image is-4by3">
              <img :src="'data:image/jpg;base64, '+image.image.file" :alt="image.image.name">
            </figure>
          </div>
        </div>

      </div>
    </div>
    <button class="modal-close is-large" aria-label="close" @click.stop="$emit('close-modal')"></button>
  </div>
</template>

<script>
export default {
  props: {
    images: Array,
    isProcessed: Boolean
  }
}
</script>

<style lang="scss">

  .process-box {
    padding-top: 100px;
    padding-bottom: 100px;
}
</style>
